欢迎访问四季屋资源网

使用七牛云插件报错 $zone is deprecated的解决方法

频道:建站那些事 日期: 浏览:0

我的新网站用的迅睿4.6.2 系统 , 使用七牛云存储插件报错:Creation of dynamic property Qiniu\Config::$zone is deprecated

使用七牛云插件报错 $zone is deprecated的解决方法

配置没有问题,点测试按钮,会提示这个错误

我另一个网站 xunrui 4.6.1 同样的配置点测试提示正常上传

两者的区别 4.6.2的站开启了 后台单独域名管理 ,不知道是否有关

解决方法:

php8.2/php8.1对代码要求严格,说明插件的代码写法不合理,在对应报错文件config.php里面 构造函数前,先定义zone

public $zone;


关键词: 插件

0 留言

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。